/* eslint-disable */
/**柯礼钦
 * 4/6/2020, 10:41:26 AM
 * doc comment for the file goes here
 */

/** 通知列表 */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import { Alert, Tooltip } from 'antd';
import fetch from '../../../api/request';

import './index.scss';

export default class NotifyList extends Component {
  constructor(props) {
    super(props);
    this.config = {
    };
    this.state = {
      notice: null
    };
  }

  componentWillMount() {
    fetch({
      url: `api/document/getNewNotice`
    }).then(res => {
      if (res) {
        this.setState({
          notice: res
          // documentTitle: res.documentTitle || ''
        })
      }
    })
  }

  componentDidMount() { }

  emoveTAG = (str) => {
    return str.replace(/<[^>]+>/g, "");
  }

  onClick = () => {
    this.props.history.push({ pathname: "/index/workbench/announcement" });
  }

  onMouseOut = () => {
    this.refs.marquee.start();
  }

  onMouseOver = () => {
    this.refs.marquee.stop();
  }

  linkDetail = (id) => {
    this.props.history.push({ pathname: `/document/detail/${id}` });

  }


  renderDom = () => {
    let { notice } = this.state;
    return <div className="notify-list-main-dom">
      <div className="notify-list-main-dom-msg">最新通知：
        <div className="notify-list-main-dom-msg-title" onClick={() => { notice.id && this.linkDetail(notice.id) }}>
          <marquee onMouseOut={this.onMouseOut} onMouseOver={this.onMouseOver} ref='marquee' style={{ cursor: 'pointer' }}>{notice.documentTitle || ''}</marquee>
        </div>
        {
          notice.documentContent ? <Tooltip placement='topLeft' title={this.emoveTAG(notice.documentContent)}>
            <div className="notify-list-main-dom-msg-content" onClick={() => { notice.id && this.linkDetail(notice.id) }}>{this.emoveTAG(notice.documentContent)}</div>
          </Tooltip> : null
        }
      </div>
      <div className="notify-list-main-dom-fuc" onClick={this.onClick}>[查看全部]</div>
    </div>
  }

  render() {
    let { notice } = this.state;

    return (
      <div className="notify-list-main">
        {
          notice &&
          <Alert
            // message="Warning Text Warning Text Warning TextW arning Text Warning Text Warning TextWarning Text"
            message={this.renderDom()}
            type="warning"
            closable={false}
          />
        }
      </div>
    )
  }
}
//export default function NotifyList({  }) {
//    return (
//     <div className="notify-list-main">
//
//      </div>
//    )
//}
